Redmine - Defect #18011

Firefox: Value of a field not updated properly when hitting F5
2014-10-02 01:08 - Daniel Hger

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Duplicate Affected version: 252

Description

This description was written by one of my redmine users. | was able to reproduce the issue and i think its a bug in redmine (or firefox,
im not absolutly sure):

| encountered a problem when using Firefox, in Opera it works properly. Because | know that some of you are using Firefox and
some of you will work the same way as me (relying on many tabs when browsing) | will describe the issue here in order to inform
about it.

The problem is that when you hit F5 or click the Reload button Firefox seems to update values of certain fields (see below which
ones are affected) but when you click on the Update button in Redmine you still got old values to work with. Consequently when you
are not careful you submit those old values to the system and overwriting newer values.

Steps to reproduce:
Computer A:
1. Open an existing ticket in Redmine.

Computer B:

2. Open the same ticket in Redmine.

3. Click on the Update button.

3. Change a value that is affected by the bug, e.g. Status and click the Submit button in order to send the changes to Redmine. In my
example | changed the status from accepted to in progress.

Computer A:

4. Press F5 or click the Reload button in order to refresh the website.

5. Now in order to change something yourself you click on the Update button and as in my case suddenly the field Status retains the
old value "accepted". Because not all values are affected you will see the notification

The following fields are affected by this behavior:
Status

Priority

Assignee

% Done

Category

Estimated time

Target version

Notes

Tracker

Not affected are:
Project

Subject
Description Edit
Parent Task
Start Date

Due Date

Workaround:
Press Shift + Reload button (F5) or reenter the URL in the browser in Firefox
OR use the Opera web browser

Related issues:
Is duplicate of Redmine - Defect #15125: Task properties are reverted when do... Closed
History

#1 - 2014-10-31 06:09 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #15125.

#2 - 2014-10-31 06:09 - Toshi MARUYAMA

- Is duplicate of Defect #15125: Task properties are reverted when doing a task update from firefox. added
